Mailfully logo

Retrieve a webhook endpoint

GEThttps://api.mailfully.com/v1/webhooks/{id}

Retrieve one webhook endpoint by id (no signing_secret). Needs the manage:webhooks scope, which can be minted onto a live API key.

Loading code example
Loading code example

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

idstringrequired

The webhook endpoint id (whk_…).

Response

application/json

The webhook endpoint.

object"webhook"required
Allowed values: "webhook"
idstringrequired
urlstringrequired
eventsarray<"email.delivered" | "email.bounced" | "email.complained" | "email.failed" | "email.delivery_delayed" | "email.opened" | "email.clicked" | "email.suppressed" | "email.unsubscribed" | "email.received">required
status"enabled" | "disabled"required
Allowed values: "enabled" | "disabled"
created_atstring<date-time>required